swift-account_2.15.1-0ubuntu3_all.deb


Advertisement

Description

swift-account - distributed virtual object store - account server

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Main amd64
Package name swift-account
Package version 2.15.1
Package release 0ubuntu3
Package architecture all
Package type deb
Installed size 86 B
Download size 20.91 KB
Official Mirror archive.ubuntu.com
OpenStack Object Storage (code-named Swift) is open source software for
creating redundant, scalable object storage using clusters of standardized
servers to store petabytes of accessible data. It is not a file system or
real-time data storage system, but rather a long-term storage system for a
more permanent type of static data that can be retrieved, leveraged, and then
updated if necessary. Primary examples of data that best fit this type of
storage model are virtual machine images, photo storage, email storage and
backup archiving. Having no central "brain" or master point of control
provides greater scalability, redundancy and permanence.
Objects are written to multiple hardware devices in the data center, with
the OpenStack software responsible for ensuring data replication and
integrity across the cluster. Storage clusters can scale horizontally by
adding new nodes. Should a node fail, OpenStack works to replicate its
content from other active nodes. Because OpenStack uses software logic to
ensure data replication and distribution across different devices,
inexpensive commodity hard drives and servers can be used in lieu of more
expensive equipment.
This package provides the swift account server.

Alternatives

Package Version Architecture Repository
swift-account_2.15.1-0ubuntu3_all.deb 2.15.1 all Ubuntu Main
swift-account - - -

Requires

Name Value
python-swift = 2.15.1-0ubuntu3
python:any -
rsync -

Replaces

Name Value
swift << 1.13.1~rc1-0ubuntu1~

Download

Type URL
Binary Package swift-account_2.15.1-0ubuntu3_all.deb
Source Package swift

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install swift-account deb package:
    # sudo apt-get install swift-account

Files

Path
/etc/init/swift-account-auditor.conf
/etc/init/swift-account-reaper.conf
/etc/init/swift-account-replicator.conf
/etc/init/swift-account.conf
/etc/init.d/swift-account
/etc/init.d/swift-account-auditor
/etc/init.d/swift-account-reaper
/etc/init.d/swift-account-replicator
/etc/swift/account-server.conf
/usr/bin/swift-account-audit
/usr/bin/swift-account-auditor
/usr/bin/swift-account-info
/usr/bin/swift-account-reaper
/usr/bin/swift-account-replicator
/usr/bin/swift-account-server
/usr/share/doc/swift-account/account-server.conf-sample
/usr/share/doc/swift-account/changelog.Debian.gz
/usr/share/doc/swift-account/copyright
/usr/share/man/man1/swift-account-audit.1.gz
/usr/share/man/man1/swift-account-auditor.1.gz
/usr/share/man/man1/swift-account-info.1.gz
/usr/share/man/man1/swift-account-reaper.1.gz
/usr/share/man/man1/swift-account-replicator.1.gz
/usr/share/man/man1/swift-account-server.1.gz
/usr/share/man/man5/account-server.conf.5.gz

Changelog

2017-10-17 - Corey Bryant <corey.bryant@canonical.com>
swift (2.15.1-0ubuntu3) artful; urgency=medium
* d/p/update-test-drop-privs.patch: Drop group comparison from
drop_privileges test as it does not appear to be valid (LP: #1724342).
2017-08-25 - Corey Bryant <corey.bryant@canonical.com>
swift (2.15.1-0ubuntu2) artful; urgency=medium
* d/p/fix-deployment-guide-header.patch: Extend deployment guide headers
to fix sphinx error for xenial-pike backport.
2017-08-24 - Corey Bryant <corey.bryant@canonical.com>
swift (2.15.1-0ubuntu1) artful; urgency=medium
* New upstream point release for OpenStack Pike.
* d/p/*: Rebased.
2017-08-01 - Corey Bryant <corey.bryant@canonical.com>
swift (2.15.0-0ubuntu1) artful; urgency=medium
* d/control: Drop oslosphinx and update min version of openstackdocstheme.
* New upstream release for OpenStack Pike.
* d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
sphinx extension until sphinx>=1.6.2 is available.
* d/p/skip-online-test.patch: Skip test that is failing without network
access.
* d/swift-object.install: Install swift-object-relinker binary.
2017-06-16 - Chuck Short <zulcss@ubuntu.com>
swift (2.13.1-0ubuntu1) artful; urgency=medium
[ Chuck Short ]
* d/patches/use-pbr2.patch: Use pbr2 by default.
* d/patches/fix-doc-no-network.patch: Dropped not longer required.
[ James Page ]
* New upstream point release.
2017-02-16 - Chuck Short <zulcss@ubuntu.com>
swift (2.13.0-0ubuntu1) zesty; urgency=medium
* New upstream release for OpenStack Ocata.
* d/control: Align (build-)depends with upstream.
* d/README.Source: Removed it still mentioned bzr to package swift.
2016-12-19 - Corey Bryant <corey.bryant@canonical.com>
swift (2.12.0-0ubuntu1) zesty; urgency=medium
* New upstream version.
* d/p/avoid-infinite-loop-while-placing-parts.patch: Dropped. Included in
new upstream version.
* New upstream release for OpenStack Ocata.
2016-12-09 - Corey Bryant <corey.bryant@canonical.com>
swift (2.11.0-0ubuntu2) zesty; urgency=medium
* d/p/avoid-infinite-loop-while-placing-parts.patch: Cherry-picked from
upstream master branch to avoid infinite loop while placing parts
(LP: #1642538).
2016-11-21 - David Della Vecchia <ddv@canonical.com>
swift (2.11.0-0ubuntu1) zesty; urgency=medium
[ Corey Bryant ]
* d/control: Align python-pyeclib with upstream.
[ David Della Vecchia ]
* New upstream release for OpenStack Ocata.
* d/control: Align (build-)depends with upstream.
2016-09-28 - Corey Bryant <corey.bryant@canonical.com>
swift (2.10.0-0ubuntu1) yakkety; urgency=medium
* New upstream release for OpenStack Newton.
* d/control: Align (build-)depends with upstream.

See Also

Package Description
swift-container_2.15.1-0ubuntu3_all.deb distributed virtual object store - container server
swift-doc_2.15.1-0ubuntu3_all.deb distributed virtual object store - documentation
swift-object_2.15.1-0ubuntu3_all.deb distributed virtual object store - object server
swift-proxy_2.15.1-0ubuntu3_all.deb distributed virtual object store - proxy server
syslinux-common_6.03+dfsg-14.1_all.deb collection of bootloaders (common)
syslinux-legacy_3.63+dfsg-2ubuntu9_amd64.deb Bootloader for Linux/i386 using MS-DOS floppies
syslinux_6.03+dfsg-14.1_amd64.deb collection of bootloaders (DOS FAT and NTFS bootloader)
sysstat_11.5.7-1ubuntu1_amd64.deb system performance tools for Linux
system-config-kickstart_2.5.20-0ubuntu25_all.deb graphical tool for creating Kickstart files
system-config-printer-common_1.5.9+20170825-0ubuntu1_all.deb backend and the translation files for system-config-printer
system-config-printer-udev_1.5.9+20170825-0ubuntu1_amd64.deb Utilities to detect and configure printers automatically
system-config-printer_1.5.9+20170825-0ubuntu1_all.deb graphical interface to configure the printing system
systemd-sysv_234-2ubuntu12_amd64.deb system and service manager - SysV links
systemd_234-2ubuntu12_amd64.deb system and service manager
sysvinit-utils_2.88dsf-59.8git1_amd64.deb System-V-like utilities
Advertisement
Advertisement